<?php
/**
 * BootstrapTheme Theme Customizer
 *
 * @package BootstrapTheme
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function bootstraptheme_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
}
add_action( 'customize_register', 'bootstraptheme_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function bootstraptheme_customize_preview_js() {
	wp_enqueue_script( 'bootstraptheme_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'bootstraptheme_customize_preview_js' );

/*
* Present theme change
*/
function register_mysettings() {
	//register our settings
	register_setting( 'bootstrap-theme-group', sanitize_text_field('select_theme') );
	register_setting( 'bootstrap-theme-group', sanitize_text_field('carousel1-name' ) );
	register_setting( 'bootstrap-theme-group', sanitize_text_field('carousel1-content' ) );
	register_setting( 'bootstrap-theme-group', sanitize_text_field('carousel1-link'  ));
	register_setting( 'bootstrap-theme-group', sanitize_text_field('carousel2-name'  ));
	register_setting( 'bootstrap-theme-group', sanitize_text_field('carousel2-content' ) );
	register_setting( 'bootstrap-theme-group', sanitize_text_field('carousel2-link' ) );
	register_setting( 'bootstrap-theme-group', sanitize_text_field('carousel3-name'  ));
	register_setting( 'bootstrap-theme-group', sanitize_text_field('carousel3-content' ) );
	register_setting( 'bootstrap-theme-group', sanitize_text_field('carousel3-link' ));
}

function bootstraptheme_page() {
?>
<link rel="stylesheet" id="ss" type="text/css" href="<?php echo get_template_directory_uri() ?>/css/<?php echo esc_attr(get_option('select_theme')); ?>.min.css">
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri()?>/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>">
<div class="wrap">
<h1>Open Swatch Theme Options</h1>
<div class="container">
    <div class="row">
        <div class="span12">
                <form method="post" action="options.php" id="bootstraptheme_form">
                    <?php settings_fields( 'bootstrap-theme-group' ); ?>
                    <?php do_settings_sections( 'bootstrap-theme-group' ); ?>
                    <span class="col-md-2 column"><h4>Bootstrap Default</h4>
            	      <label class="bs" for="bootstrap">
                        <input id="bootstrap" type="radio" name="select_theme" value="bootstrap" />
                        <img src="<?php echo get_template_directory_uri()?>/img/default.png">
                      </label>
                      </span>
                      <span class="col-md-4 column"><h4>Bootswatch Themes</h4>
                      <label class="bs" for="amelia">
                        <input id="amelia" type="radio" name="select_theme" value="amelia"/>
                        <img src="<?php echo get_template_directory_uri()?>/img/amelia.png">
                      </label>
                      
                      <label class="bs" for="cerulean">
                        <input id="cerulean" type="radio" name="select_theme" value="cerulean" />
                        <img src="<?php echo get_template_directory_uri()?>/img/cerulean.png">
                      </label>
                      
                      <label class="bs" for="cosmo">
                        <input id="cosmo" type="radio" name="select_theme" value="cosmo" />
                       <img src="<?php echo get_template_directory_uri()?>/img/cosmo.png">
                      </label>
                      
                      <label class="bs" for="cyborg">
                        <input id="cyborg" type="radio" name="select_theme" value="cyborg" />
                       <img src="<?php echo get_template_directory_uri()?>/img/cyborg.png">
                      </label>
                       
                      <label class="bs" for="flatly">
                        <input id="flatly" type="radio" name="select_theme" value="flatly" />
                       <img src="<?php echo get_template_directory_uri()?>/img/flatly.png">
                      </label>                                           

                      <label class="bs" for="journal">
                        <input id="journal" type="radio" name="select_theme" value="journal" />
                       <img src="<?php echo get_template_directory_uri()?>/img/journal.png">
                      </label>                      

                      <label class="bs" for="readable">
                        <input id="readable" type="radio" name="select_theme" value="readable" />
                       <img src="<?php echo get_template_directory_uri()?>/img/readable.png">
                      </label>
                      
                      <label class="bs" for="simplex">
                        <input id="simplex" type="radio" name="select_theme" value="simplex" />
                       <img src="<?php echo get_template_directory_uri()?>/img/simplex.png">
                      </label>

                      <label class="bs" for="slate">
                        <input id="slate" type="radio" name="select_theme" value="slate" />
                       <img src="<?php echo get_template_directory_uri()?>/img/slate.png">
                      </label>

                      <label class="bs" for="spacelab">
                        <input id="spacelab" type="radio" name="select_theme" value="spacelab" />
                       <img src="<?php echo get_template_directory_uri()?>/img/spacelab.png">
                      </label>

                      <label class="bs" for="united">
                        <input id="united" type="radio" name="select_theme" value="united" />
                       <img src="<?php echo get_template_directory_uri()?>/img/united.png">
                      </label>

                      <label class="bs" for="yeti">
                        <input id="yeti" type="radio" name="select_theme" value="yeti" />
                       <img src="<?php echo get_template_directory_uri()?>/img/yeti.png">
                      </label>
                      </span>
                      <span class="col-md-4 column">
                      <h3>Carousel Options</h3>
                      If you donot want to use Carousel on homepage, leave all the fields empty.
                      If you donot want to use a slide, leave it empty.
                      Carousel will not work without atleast 2 slides.
                      <br />
                       <span id="carAdd">
                       Slide 1
                          <div class="form-group">
                          <label for="carousel1-name" class="col-sm-2 control-label">Name</label>
                          <div class="col-sm-10">
                          <input type="text" class="form-control" id="carousel1-name" placeholder="Name" style="width:50%" name="carousel1-name" value="<?php echo get_option('carousel1-name');?>">
                          </div>
                          </div>
                          
                          <div class="form-group"><label for="carousel1-content" class="col-sm-2 control-label">Content</label>  <div class="col-sm-10"> <input type="text" class="form-control" id="carousel1-content" placeholder="Content" name="carousel1-content" value="<?php echo get_option('carousel1-content');?>" >  
                          </div>
                          </div>
                          
                          <div class="form-group"><label for="carousel1-link" class="col-sm-2 control-label">Link</label> <div class="col-sm-10"><input type="text" class="form-control" id="carousel1-link" placeholder="http://www.LinkToYourImage.com" name="carousel1-link" value="<?php echo get_option('carousel1-link');?>" > 
                          </div>
                          </div>
                      	Slide 2
                          <div class="form-group"><label for="carousel2-name" class="col-sm-2 control-label">Name</label><div class="col-sm-10"><input type="text" class="form-control" id="carousel2-name" placeholder="Name" style="width:50%" name="carousel2-name" value="<?php echo get_option('carousel2-name');?>"> </div> </div> <div class="form-group"><label for="carousel2-content" class="col-sm-2 control-label">Content</label>  <div class="col-sm-10"> <input type="text" class="form-control" id="carousel2-content" placeholder="Content" name="carousel2-content" value="<?php echo get_option('carousel2-content');?>" >  </div> </div> <div class="form-group"><label for="carousel2-link" class="col-sm-2 control-label">Link</label> <div class="col-sm-10"><input type="text" class="form-control" id="carousel2-link"  placeholder="http://www.LinkToYourImage.com" name="carousel2-link" value="<?php echo get_option('carousel2-link');?>"> </div></div>
                         Slide 3
                          <div class="form-group"><label for="carousel3-name" class="col-sm-2 control-label">Name</label><div class="col-sm-10"><input type="text" class="form-control" id="carousel3-name" placeholder="Name" style="width:50%"  name="carousel3-name" value="<?php echo get_option('carousel3-name');?>"> </div> </div> <div class="form-group"><label for="carousel3-content" class="col-sm-2 control-label">Content</label>  <div class="col-sm-10"> <input type="text" class="form-control" id="carousel3-content" placeholder="Content" name="carousel3-content" value="<?php echo get_option('carousel3-content');?>" >  </div> </div> <div class="form-group"><label for="carousel3-link" class="col-sm-2 control-label">Link</label> <div class="col-sm-10"><input type="text" class="form-control" id="carousel3-link" placeholder="http://www.LinkToYourImage.com" name="carousel3-link" value="<?php echo get_option('carousel3-link');?>"> </div></div>
                       </span>
                      </span>
                      <?php submit_button(); ?>
                   
				</form>  
            </div>
        </div>
    </div>
</div>


<script>
$("#<?php echo get_option('select_theme'); ?>").prop("checked", true);
var directory = '<?php echo get_template_directory_uri()?>';
$('input[type=radio]').change( function() {
    var cssname = 	$("#bootstraptheme_form input[type='radio']:checked").val();
	$("#ss").prop("href", directory+'/css/'+cssname+'.min.css');
});

</script>
<?php }

 ?>
