<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package BootstrapTheme
 */
// Replaces the excerpt "more" text by a link
function new_excerpt_more($more) {
       global $post;
	return '<br><a class="btn btn-sm btn-success pull-right" href="'. get_permalink($post->ID) . '"> Read more...</a>';
}
add_filter('excerpt_more', 'new_excerpt_more');
get_header();


$link1 = get_option('carousel1-link');
$link2 = get_option('carousel2-link');
$link3 = get_option('carousel3-link');

if(show_carousel()==true){?>
<div class="carousel slide well" id="carousel-bootstraptheme">
				<ol class="carousel-indicators">
					<?php if(empty($link1)==false){echo '<li data-slide-to="0" data-target="#carousel-bootstraptheme">
					</li>';}
					if(empty($link2)==false){echo '
					<li data-slide-to="1" data-target="#carousel-bootstraptheme" class="active">
					</li>';}
					if(empty($link3)==false){echo '
					<li data-slide-to="2" data-target="#carousel-bootstraptheme">
					</li>';}?>
				</ol>
				<div class="carousel-inner">
					<?php if(empty($link1)==false){ ?>
                    <div class="item">
						<img alt="" src="<?php echo $link1 ?>">
						<div class="carousel-caption">
							<h4>
								<?php echo get_option('carousel1-name'); ?>
                            </h4>
							<p>
								<?php echo get_option('carousel1-content'); ?>
							</p>
						</div>
					</div><?php }
					if(empty($link2)==false){ ?>
					<div class="item active">
						<img alt="" src="<?php echo $link2 ?>">
						<div class="carousel-caption">
							<h4>
								<?php echo get_option('carousel2-name'); ?>
							</h4>
							<p>
								<?php echo get_option('carousel2-content'); ?>
							</p>
						</div>
					</div>
                    <?php }
					if(empty($link3)==false){ ?>
					<div class="item">
						<img alt="" src="<?php echo $link3 ?>">
						<div class="carousel-caption">
							<h4>
								<?php echo get_option('carousel3-name'); ?>
							</h4>
							<p>
								<?php echo get_option('carousel3-content'); ?>
							</p>
						</div>
					</div>
                    <?php }?>
				</div> <a class="left carousel-control" href="#carousel-bootstraptheme" data-slide="prev"><span class="glyphicon glyphicon-chevron-left"></span></a> <a class="right carousel-control" href="#carousel-bootstraptheme" data-slide="next"><span class="glyphicon glyphicon-chevron-right"></span></a>
			</div>
           
            <?php } ?>
        <header id="masthead" class="site-header" role="banner">
            <div class="page-header">
				<h1>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" style="text-decoration:none"><?php bloginfo( 'name' ); ?></a><small><?php bloginfo( 'description' ); ?></small>
				</h1>
			</div>
	<div id="primary" class="col-md-9 column">
		<main id="main" role="main">

		<?php if ( have_posts() ) : ?>

	
			<?php while ( have_posts() ) : the_post(); 
			
					$permalink = get_permalink( $id ); ?>
                    <div class="col-md-4 column">
                    <h2><strong><a href="<?php echo $permalink ?>"><?php the_title(); ?></a></strong></h2>
                            <p>
                              <i class="glyphicon glyphicon-user"></i> by <a href="<?php the_author_link(); ?>"><?php the_author() ?></a> 
                              | <i class="glyphicon glyphicon-calendar"></i> <?php the_time('M j, Y') ?>
                              <br /> <i class="glyphicon glyphicon-comment"></i> <a href="<?php echo $permalink ?>#comments"><?php comments_number( 'no responses', 'one response', '% responses' ); ?>.</a>
                              
                            </p>
                    <p><?php the_excerpt(); ?></p>
                    <i class="icon-tags"></i> <p class="label label-info"><?php the_tags(); ?></p>
					</div>

			<?php endwhile;
			?>
            <ul class="col-md-12 coulumn pager">
              <li><?php next_posts_link( 'Older posts' ); ?></li>
              <li><?php previous_posts_link( 'Newer posts' ); ?></li>
            </ul>





			
		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
